global:
  evaluation_interval: 2m
  scrape_interval: 2m
  scrape_timeout: 1m
rule_files:
- record_rules.yml
scrape_configs:
- honor_labels: true
  job_name: machine_mem
  metric_relabel_configs:
  - action: labeldrop
    regex: karazhan_shard|paas|priority|cpu_model|idc
  - source_labels: [pool]
    regex: 'www_beehive_feed'
    action: drop
  metrics_path: /federate
  params:
    match[]:
    - '{__name__="machine_mem_size_bytes"}'
    - '{__name__="machine_mem_used_bytes"}'
    - '{__name__="machine_mem_allocated_STABLE_bytes"}'
  scheme: http
  scrape_interval: 2m
  scrape_timeout: 1m
  static_configs:
  - targets:
    - 10.89.222.23:8551
- honor_labels: true
  job_name: machine_cpu
  metric_relabel_configs:
  - action: labeldrop
    regex: karazhan_shard|paas|priority|cpu_model|idc
  - source_labels: [pool]
    regex: 'www_beehive_feed'
    action: drop
  metrics_path: /federate
  params:
    match[]:
    - '{__name__="machine_cpu_size"}'
    - '{__name__="machine_cpu_allocated_STABLE"}'
    - '{__name__="machine_cpu_usage_cores"}'
  scheme: http
  scrape_interval: 2m
  scrape_timeout: 1m
  static_configs:
  - targets:
    - 10.60.139.30:8551
- honor_labels: true
  job_name: machine_hdd
  metric_relabel_configs:
  - action: labeldrop
    regex: karazhan_shard|paas|priority|cpu_model|idc
  - source_labels: [pool]
    regex: 'www_beehive_feed'
    action: drop
  metrics_path: /federate
  params:
    match[]:
    - '{__name__="machine_hdd_size_bytes"}'
    - '{__name__="machine_hdd_allocated_STABLE_bytes"}'
    - '{__name__="machine_hdd_used_bytes"}'
  scheme: http
  scrape_interval: 2m
  scrape_timeout: 1m
  static_configs:
  - targets:
    - 10.60.133.20:8551
- honor_labels: true
  job_name: machine_ssd
  metric_relabel_configs:
  - action: labeldrop
    regex: karazhan_shard|paas|priority|cpu_model|idc
  - source_labels: [pool]
    regex: 'www_beehive_feed'
    action: drop
  metrics_path: /federate
  params:
    match[]:
    - '{__name__="machine_ssd_size_bytes"}'
    - '{__name__="machine_ssd_allocated_STABLE_bytes"}'
    - '{__name__="machine_ssd_used_bytes"}'
  scheme: http
  scrape_interval: 2m
  scrape_timeout: 1m
  static_configs:
  - targets:
    - 10.89.131.17:8551
- honor_labels: true
  job_name: app_cpu
  metric_relabel_configs:
  - action: labeldrop
    regex: job|karazhan_shard|paas|priority|container|cpu_model|index_type|module
  - source_labels: [pool]
    regex: 'www_beehive_feed'
    action: drop
  metrics_path: /federate
  params:
    match[]:
    - '{__name__="instance_cpu_quota"}'
    - '{__name__="instance_cpu_used"}'
  scheme: http
  scrape_interval: 2m
  scrape_timeout: 2m
  static_configs:
  - targets:
    - 10.104.33.23:8551
- honor_labels: true
  job_name: app_mem
  metric_relabel_configs:
  - action: labeldrop
    regex: job|karazhan_shard|paas|priority|container|cpu_model|index_type|module
  - source_labels: [pool]
    regex: 'www_beehive_feed'
    action: drop
  metrics_path: /federate
  params:
    match[]:
    - '{__name__="instance_mem_quota_bytes"}'
    - '{__name__="instance_mem_anon_bytes"}'
  scheme: http
  scrape_interval: 2m
  scrape_timeout: 2m
  static_configs:
  - targets:
    - 10.89.60.30:8551
- honor_labels: true
  job_name: app_hdd
  metric_relabel_configs:
  - action: labeldrop
    regex: job|karazhan_shard|paas|priority|container|cpu_model|index_type|module
  - source_labels: [pool]
    regex: 'www_beehive_feed'
    action: drop
  metrics_path: /federate
  params:
    match[]:
    - '{__name__="instance_hdd_quota_bytes"}'
    - '{__name__="instance_hdd_used_bytes"}'
  scheme: http
  scrape_interval: 2m
  scrape_timeout: 2m
  static_configs:
  - targets:
    - 10.89.58.18:8551
- honor_labels: true
  job_name: app_ssd
  metric_relabel_configs:
  - action: labeldrop
    regex: job|karazhan_shard|paas|priority|container|cpu_model|index_type|module
  - source_labels: [pool]
    regex: 'www_beehive_feed'
    action: drop
  metrics_path: /federate
  params:
    match[]:
    - '{__name__="instance_ssd_quota_bytes"}'
    - '{__name__="instance_ssd_used_bytes"}'
  scheme: http
  scrape_interval: 2m
  scrape_timeout: 2m
  static_configs:
  - targets:
    - 10.89.77.32:8551
